%Promjenom vrijednosti koju zadajemo funkcijama ucitavanje() i
%depredikcija() biramo koliko slika cemo istovremeno ukljuciti u obradu.

slike = ucitavanje(10);
vektor16 = predikcija(slike);
kodovano = Hkod(vektor16);
dekodovano = huff2mat(kodovano);

%Sledecu funkciju koristimo kao provjeru da li je kodovanje uspjesno
%izvrseno.
daLiJe = isequal(vektor16,dekodovano)

izlaz = depredikcija(uint16(dekodovano), 512, 512, 10);

kompresijaSaPredikcijom = imratio(uint16(slike(:)), uint16(kodovano.code))

%hafman bez predikcije, da bismo mogli da uporedimo postignute rezultate
s = slike(:);
kodovanoH = Hkod(s);

kompresijaBezPredikcije = imratio(uint16(s), uint16(kodovanoH.code))